local function CreateSlotAnimation(inventorySlot)
	if inventorySlot.slotControlType == "listSlot" then
		local control = inventorySlot
		local controlType = inventorySlot:GetType()

		if (controlType == CT_CONTROL and control.slotControlType == "listSlot") then
		control = inventorySlot:GetNamedChild("MultiIcon") or inventorySlot:GetNamedChild("Button")
		end

		if (control and not control.animation) then
		control.animation = ANIMATION_MANAGER:CreateTimelineFromVirtual("IconSlotMouseOverAnimation", control)
		control.animation:GetFirstAnimation():SetEndScale(1)
		end
	end
end
ZO_PreHook("ZO_InventorySlot_OnMouseEnter", CreateSlotAnimation)

